<?php
header("Content-type: text/html; charset=utf-8");
//利用PHP目录和文件函数遍历用户给出目录的所有的文件和文件夹，修改文件名称
function fRename($dirname)
{
    if (!is_dir($dirname)) {
        echo "{$dirname}不是一个有效的目录！";
        exit();
    }
    $handle = opendir($dirname);
    $i = 1;
    while (($fn = readdir($handle)) !== false) {

        if ($fn != '.' && $fn != '..') {
            echo "<br>将名为：" . $fn . "\n\r";
            $curDir = $dirname . '/' . $fn;
            if (is_dir($curDir)) {
                fRename($curDir);
            } else {
                $path = pathinfo($curDir);
                if (empty($path['extension'])) {
                    //改成你自己想要的新名字
                    $newname = $path['dirname'] . '/' . $path['basename'] . '.jpg';
                    echo "替换成:" . $i . '.' . $newname . "\r\n";
                    rename($curDir, $newname);
                    $i++;
                }
            }
        }
    }
}

//给出一个目录名称可以是相对路径，也可以是绝对路径
fRename('/www/web/testadmin_shenbd_com/public_html/data/upload/mall/avatar_bak');
exit();

